#!/bin/sh
# {da,a}sh compatible.

lf=${SHOM:-$HOME}/references.txt
lf=/tmp/references.txt # or even /tmp/references-$$.txt for separate sessions.

# Accepted items: files, folders, URLs from browser. Folders won't be expanded.

# https://unix.stackexchange.com/a/61833
#script -q -c 'yad --geometry=100x100 --on-top --text="Drag-n-drop items here\nThey will be added to ref list\n---" --no-buttons --skip-taskbar --dnd --cmd printf "%s\n" "$1" | sed -e "s,^file://,,"' >> "$lf"

# Don't run these lines from terminal or you may incur bug https://sourceforge.net/p/yad-dialog/tickets/205/
script -q -c 'yad --plug='$$' --tabnum=1 --text="Drag-n-drop items here\nThey will be added to ref list\n---" --dnd --cmd printf "%s\n" "$1" | sed -e "s,^file://,,"' >> "$lf" &
script -q -c 'tail -f "'"$lf"'" | yad --plug='$$' --tabnum=2 --listen --tail --text-info' &
yad --no-buttons --skip-taskbar --notebook --key=$$ --tab="Drop" --tab="List"
